<?PHP
////++++++++++++++++ CONFIGURACIÓN FASE 1 DE PARAMETROS ESTANTAR EN PLATAFORMA ++++++++++++++++////

////Conexiones y tiempos de ejecución
$VpnEn=$_GET["VPN"] or $VpnEn=$_POST["VPN"];
$LtEn=$_GET["LT"] or $LtEn=$_POST["LT"];
ini_set('max_execution_time', $LtEn);
include ("../Conections/$VpnEn.php");

$Cve_Modulo = "CMOD201506100169";

///Arrastra Variables Fijas
$UsuEn=$_POST['UsuKP'] or $UsuEn=$_GET['UsuKP'];
$TokEn=$_POST["TokenKP"] or $TokEn=$_GET["TokenKP"];
$IDSeEn=$_POST["IdDAcce"] or $IDSeEn=$_GET["IdDAcce"];
$CtaSesionEn=$_POST['CtaSKP'] or $CtaSesionEn=$_GET['CtaSKP'];

	//////Identificar la Cuenta y la Bodega
	$sqlCR1 = mysql_query("select * from wms_configura_altacuentas where NOMBRE_CUENTA='$CtaSesionEn'");
	if (mysql_numrows($sqlCR1)==0) echo "";
	else{
		$registroCR1=mysql_fetch_array($sqlCR1);
	}
	if (mysql_numrows($sqlCR1)>0)
	{
		$CveBodCR1=$registroCR1["CVE_BODEGA"];
		$CveCueCR1=$registroCR1["CVE_CUENTA"];
	}
	
	/////////Identificar personalización 2
		$sqlP2 = mysql_query("select * from wms_personaliza2 where ID='1'");
		if (mysql_numrows($sqlP2)==0) echo "";
		else{
		$registroP2=mysql_fetch_array($sqlP2);
		}
		if (mysql_numrows($sqlP2)>0)
		{
		$Titulo=$registroP2["TITULO_PAGINAS"];
		}
	
	/////////Identificar configuracion 1
		$sqlC1 = mysql_query("select * from wms_configura1 where ID='1'");
		if (mysql_numrows($sqlC1)==0) echo "";
		else{
		$registroC1=mysql_fetch_array($sqlC1);
		}
		if (mysql_numrows($sqlC1)>0)
		{
		$TimeInac=$registroC1["TIEMPO_INACTIVIDAD"];
		}

////++++++++++++++ FIN CONFIGURACIÓN FASE 1 DE PARAMETROS ESTANTAR EN PLATAFORMA ++++++++++++++////		
?>		
<!--<!DOCTYPE html>-->
<!--<html>-->
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">

<head>
<meta charset="utf-8">
<meta name="viewport" content="width=device-width"/>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">

<link rel="shortcut icon" href="../SIMA_Resourses/images/favicon.ico">
<title><?PHP echo $Titulo; ?></title>
<style type="text/css">
.Clase_TipoLetraTitulos {
	font-family: <?PHP echo $FuTi_Form; ?>;
	font-size:<?PHP echo $TaTi_Form; ?>px;
	color:<?PHP echo $BgTi_Form; ?>;
}
.Clase_TipoLetra {
	font-family: Microsoft Sans Serif;
	font-size:12px;
	color:#333;
}
.Clase_INPUT_Text {
	border: 1px solid <?PHP echo $Borde_Form; ?>;
	background: #FFFFFF;
	COLOR: #000000;
	FONT-FAMILY: Arial, Helvetica, sans-serif;
	FONT-SIZE: 12px;
	}

</style>
<link href="jquery-mobile/jquery.mobile-1.0.min.css" rel="stylesheet" type="text/css"/>
<script src="jquery-mobile/jquery-1.6.4.min.js" type="text/javascript"></script>
<script src="jquery-mobile/jquery.mobile-1.0.min.js" type="text/javascript"></script>

<!-- Inicia Validador de Inactividad -->
<script type="text/javascript">
var Inac;
function ini() {
  Inac = setTimeout('location="LogOff_Inactividad.php?TokenKP=<?PHP echo $TokEn;?>&UsuKP=<?PHP echo $UsuEn;?>&IdDAcce=<?PHP echo $IDSeEn;?>&CtaSKP=<?PHP echo $CtaSesionEn;?>&VPN=<?PHP echo $VpnEn;?>&LT=<?PHP echo $LtEn;?>"',<?PHP echo $TimeInac; ?>);
}
function parar() {
  clearTimeout(Inac);
  Inac = setTimeout('location="LogOff_Inactividad.php?TokenKP=<?PHP echo $TokEn;?>&UsuKP=<?PHP echo $UsuEn;?>&IdDAcce=<?PHP echo $IDSeEn;?>&CtaSKP=<?PHP echo $CtaSesionEn;?>&VPN=<?PHP echo $VpnEn;?>&LT=<?PHP echo $LtEn;?>"',<?PHP echo $TimeInac; ?>);
}
</script>

<!-- Termina Validador de Inactividad -->

</head>

<body onload="ini()" onkeypress="parar()" onclick="parar()"> 
<!-- Inicia Cuerpo de la Interfaz Gráfica -->
<div data-role="page" id="page">
<?PHP
////++++++++++++++++ CONFIGURACIÓN FASE 2 DE PARAMETROS ESTANTAR EN PLATAFORMA ++++++++++++++++////
		
	/////////Identifica si el token aun esta vigente
		$ExtAño = substr($TokEn, -28, 4);    // devuelve el año
		$ExtDia = substr($TokEn, -7, 2);    // devuelve el mes
		$ExtMes = substr($TokEn, -14, 2);    // devuelve el día
		$FechTok=$ExtDia."/".$ExtMes."/".$ExtAño;
		$FechAct=$PreTo4=date("d/m/Y");
		
		if ($FechTok<>$FechAct)
		{
			echo "<script>alert('La sesión del Token de seguridad ha caducado.\\nFavor de iniciar sesion nuevamente.');</script>";
			echo "<META HTTP-EQUIV=Refresh CONTENT='0; URL=LogOff_Force.php?UsuKP=$UsuEn&IdDAcce=$IDSeEn&TokenKP=$TokEn&CtaSKP=$CtaSesionEn&VPN=$VpnEn&LT=$LtEn'>";
		}
		else
		{ ///Inicia IF Sesion Token
		
	/////////Identificar permisos de acceso 1
		$sqlPA1 = mysql_query("select * from tabla_usuarios where USUARION='$UsuEn'");
		if (mysql_numrows($sqlPA1)==0) 
		{
			echo "<script>alert('CODIGO: LOGSYS#00001\\nEl Usuario en sesión ha sido truncado por inexistencia.'); </script>";
			echo "<META HTTP-EQUIV=Refresh CONTENT='0; URL=LogIn.php'>";
		}
		else
		{ ///Inicia IF Permiso de Acceso 1
		
	/////////Identificar permisos de acceso 2
		$sqlPA2 = mysql_query("select * from wms_configurapermisosnivelmodulo where USUARIO='$UsuEn' AND CVE_MODULO='$Cve_Modulo'");
		if (mysql_numrows($sqlPA2)==0) 
		{
			echo "<META HTTP-EQUIV=Refresh CONTENT='0; URL=SinPermisos.php?UsuKP=$UsuEn&IdDAcce=$IDSeEn&TokenKP=$TokEn&CtaSKP=$CtaSesionEn&VPN=$VpnEn&LT=$LtEn&Cve_ModuloKP=$Cve_Modulo'>";
		}
		else
		{ ///Inicia IF Permiso de Acceso 2
		
		/////////Identificar permisos de acceso 3 - Acreditación de Sesión Activa	
		$sqlPA3 = mysql_query("select * from tabla_controlsesiones where USUARIO='$UsuEn'");
		if (mysql_numrows($sqlPA3)==0) 
		{
		echo "<META HTTP-EQUIV=Refresh CONTENT='0; URL=LogOff_ReLogIn.php?UsuKP=$UsuEn&IdDAcce=$IDSeEn&TokenKP=$TokEn&CtaSKP=$CtaSesionEn&VPN=$VpnEn&LT=$LtEn'";
		}
		else
		{ ///Inicia IF Permiso de Acceso 3
	
		$ubic = $_GET['ubactual'] or $ubic = $_POST['ubactual'];
		$ubicdest = $_GET['ubicdest'] or $ubicdest = $_POST['ubicdest'];
		$multi = $_GET['multi'] or $multi = $_POST['multi'];
		$prio = $_GET['prio'] or $prio = $_POST['prio'];

		$EX = mysql_query("SELECT * FROM tabla_ubicaciones WHERE CLAVEUBICACION='$ubic' AND CVE_BODEGA='$CveBodCR1' AND CUENTA='$CveCueCR1'");if(mysql_numrows($EX)==0){echo "<script>alert('la ubicación \'$ubic\' no está dada de alta\\nFavor de corroborarlo.')</script>";echo "<META HTTP-EQUIV=Refresh CONTENT='0; URL=7-transferencia.php?UsuKP=$UsuEn&IdDAcce=$IDSeEn&TokenKP=$TokEn&CtaSKP=$CtaSesionEn&VPN=$VpnEn&LT=$LtEn'>";exit();}
		
		$EX = mysql_query("SELECT * FROM tabla_ubicaciones WHERE CLAVEUBICACION='$ubicdest' AND CVE_BODEGA='$CveBodCR1' AND CUENTA='$CveCueCR1'");if(mysql_numrows($EX)==0){echo "<script>alert('la ubicación \'$ubicdest\' no está dada de alta\\nFavor de corroborarlo.')</script>";echo "<META HTTP-EQUIV=Refresh CONTENT='0; URL=7-transferencia2.php?UsuKP=$UsuEn&IdDAcce=$IDSeEn&TokenKP=$TokEn&CtaSKP=$CtaSesionEn&VPN=$VpnEn&LT=$LtEn&ubic=$ubic'>";exit();}
		
		$EX = mysql_query("SELECT * FROM tabla_ubicaciones WHERE CLAVEUBICACION='$ubicdest' AND TIPODEUBICACION != 'DESTRUCCION' AND TIPODEUBICACION != 'DEVOLUCION' AND TIPODEUBICACION != 'BULK' AND TIPODEUBICACION != 'BULK-TEMPORAL' AND TIPODEUBICACION != 'PULL DE RECIBO' AND CVE_BODEGA='$CveBodCR1' AND CUENTA='$CveCueCR1'");if(mysql_numrows($EX)==0){
			$asd = mysql_query("SELECT TIPODEUBICACION FROM tabla_ubicaciones WHERE CLAVEUBICACION='$ubicdest' AND CVE_BODEGA='$CveBodCR1' AND CUENTA='$CveCueCR1'");
			$as= mysql_fetch_array($asd);
			echo "<script>alert('El tipo de ubicación \'$as[0]\' no es apto para este proceso\\nFavor de corroborarlo.')</script>";echo "<META HTTP-EQUIV=Refresh CONTENT='0; URL=7-transferencia2.php?UsuKP=$UsuEn&IdDAcce=$IDSeEn&TokenKP=$TokEn&CtaSKP=$CtaSesionEn&VPN=$VpnEn&LT=$LtEn&ubic=$ubic'>";exit();}

		$devoluc = false;
		$destruc = false;
		$DEVOL = mysql_query("SELECT TIPODEUBICACION FROM tabla_ubicaciones WHERE CLAVEUBICACION='$ubic'");
		$DEV = mysql_fetch_array($DEVOL);
		if($DEV[0] == 'DEVOLUCION'){
			$devoluc = true;
		}
		if($DEV[0] == 'DESTRUCCION'){
			$destruc = true;
		}
		
		$nsk = mysql_query("SELECT DISTINCT(SKU) FROM tabla_reciboxpreclasi WHERE CVE_UBICACION='$ubic' AND ESTATUS!='CERRADO' AND CVE_CUENTA='$CveCueCR1' AND CVE_BODEGA='$CveBodCR1'");
		
		if(mysql_numrows($nsk)>1 and !$devoluc and !$destruc){
			echo "<script>alert('Existe más de un sku en la ubicación \'$ubic\'.\\nFavor de corroborarlo.')</script>";
		}
		
		$dest = mysql_query("select OBSERVACIONES FROM tabla_altaproducto WHERE SKU='$sku' AND CUENTA='$CveCueCR1' AND CVE_BODEGA='$CveBodCR1'");
		$dst = mysql_fetch_array($dest);
		$destino = $dst[0];
		
		//condicion docyumentos_cerrados
		//$docs = mysql_query("SELECT ID FROM tabla_documentos WHERE CVE_CUENTA='$CveCueCR1' AND CVE_BODEGA='$CveBodCR1' AND TIPODEINGRESO=3 AND ESTADO_DOCUMENTO!='CERRADO'");if(mysql_numrows($docs)>0){echo "<script>alert('Existen documentos de devolución que no se han cerrado\\nFavor de corroborarlo.');</script>";echo "<META HTTP-EQUIV=Refresh CONTENT='0; URL=7-ReciboPreClasifica1.php?UsuKP=$UsuEn&IdDAcce=$IDSeEn&TokenKP=$TokEn&CtaSKP=$CtaSesionEn&VPN=$VpnEn&LT=$LtEn&txt_NDOC=$NDocuEn'>";exit();}
		
		function kardex($unidades,$palletx,$ubdestino){
		global $CveCueCR1;
		global $CveBodCR1;
		global $UsuEn;
		$pall = mysql_query("select * from tabla_inventario where NO_PALLET='$palletx' AND CVE_CUENTA='$CveCueCR1' AND CVE_BODEGA='$CveBodCR1'");
		$d = mysql_fetch_array($pall);
								$Hora=time();
								$HoraOK=date("H:i:s",$Hora);
								$Fecha=date("Y/m/d");
								
								$sqlIDK = "select max(ID) as ultimo_FOLIOK from tabla_kardex"; 
								$libK = mysql_query($sqlIDK);
								$rs_libK = mysql_fetch_assoc($libK); 
								$id_nuevoK = $rs_libK['ultimo_FOLIOK'] + 1;
								$NMovimiento="TRASPASO";
								
								//////Guardar el registro a MENOS en la Table_Kardex//////////
								$sqlKMEN = "insert into tabla_kardex (ID,CVE_BODEGA,CVE_CUENTA,SKU,SKU_ALT,NO_DOCUMENTO,MOVIMIENTO,CLAVEUBICACION,PALLET,PIEZAS,HORA,FECHA,USUARIO)
								values('$id_nuevoK','$CveBodCR1','$CveCueCR1','$d[SKU]','$d[SKU_ALT]','$d[NO_DOCUMENTO]','$NMovimiento -','$d[UBICACION]','$d[NO_PALLET]','-$d[CANTIDAD]','$HoraOK','$Fecha','$UsuEn')";
								$resultadoKMEN=mysql_query($sqlKMEN) or die(mysql_error());
								
								$id_nuevoK2 = $rs_libK['ultimo_FOLIOK'] + 2;
								
								//////Guardar el registro a MAS en la Table_Kardex//////////
								$sqlKMAS = "insert into tabla_kardex (ID,CVE_BODEGA,CVE_CUENTA,SKU,SKU_ALT,NO_DOCUMENTO,MOVIMIENTO,CLAVEUBICACION,PALLET,PIEZAS,HORA,FECHA,USUARIO)
								values('$id_nuevoK2','$CveBodCR1','$CveCueCR1','$d[SKU]','$d[SKU_ALT]','$d[NO_DOCUMENTO]','$NMovimiento +','$ubdestino','$d[NO_PALLET]','$d[CANTIDAD]','$HoraOK','$Fecha','$UsuEn')";
								$resultadoKMAS=mysql_query($sqlKMAS) or die(mysql_error());
								
								//Actualizar ubicación del pallet
								$priori=mysql_query("SELECT PRIORIDAD FROM tabla_prioridad WHERE UBICACION='$ubdestino' AND CVE_BODEGA='$CveBodCR1' AND CVE_CUENTA='$CveCueCR1'") or die(mysql_error());
								$pri=mysql_fetch_array($priori);
								
								$tipo=mysql_query("SELECT TIPODEUBICACION FROM tabla_ubicaciones WHERE CLAVEUBICACION='$ubdestino' AND CVE_BODEGA='$CveBodCR1' AND CUENTA='$CveCueCR1'") or die(mysql_error());
								$tip=mysql_fetch_array($tipo);
								
								$updt = "UPDATE tabla_inventario SET UBICACION = '$ubdestino',PRIORIDAD='$pri[0]',TIPO_UBICACION='$tip[0]' WHERE NO_PALLET='$palletx' AND CVE_BODEGA='$CveBodCR1' AND CVE_CUENTA='$CveCueCR1'";
								$updtubic=mysql_query($updt) or die(mysql_error());
			}
			
		$EX = mysql_query("SELECT DISTINCT (SKU), EDO_CALIDAD, SUM( CANTIDAD ) AS CANTIDAD, NO_PALLET,COUNT(ID) AS PALLETS FROM tabla_inventario WHERE UBICACION =  '$ubic' AND CANTIDAD>0 AND CVE_CUENTA =  '$CveCueCR1' AND CVE_BODEGA =  '$CveBodCR1' GROUP BY CONCAT( SKU, EDO_CALIDAD ) ORDER BY  `tabla_inventario`.`SKU`");
		$NT=0;
while($skuact = mysql_fetch_array($EX)){
			
		if($skuact['PALLETS']==1){
			kardex($skuact['CANTIDAD'],$skuact['NO_PALLET'],$ubicdest);
			$NT++;
			//echo "<META HTTP-EQUIV=Refresh CONTENT='0; URL=7-transferencia.php?UsuKP=$UsuEn&IdDAcce=$IDSeEn&TokenKP=$TokEn&CtaSKP=$CtaSesionEn&VPN=$VpnEn&LT=$LtEn'>";
			continue;
			}
			
		if($skuact['PALLETS']>1){
		$sql_W1 = "SELECT * FROM tabla_inventario WHERE UBICACION='$ubic'  AND CANTIDAD>0 AND SKU='$skuact[SKU]' AND EDO_CALIDAD='$skuact[EDO_CALIDAD]' AND CVE_CUENTA='$CveCueCR1' AND CVE_BODEGA='$CveBodCR1'";
				$res_W1=mysql_query($sql_W1) or die('Error en la consulta: '.mysql_error());
				
				////Identificar el Menor registro en la Tabla por medio de su ID
					////Saber cual fue el primer Pallet agregado por el usuario
					$sql_Min = "select min(ID) as Pri_Fol from tabla_inventario WHERE CVE_CUENTA='$CveCueCR1'  AND CANTIDAD>0 AND SKU='$skuact[0]' AND EDO_CALIDAD='$skuact[EDO_CALIDAD]' AND UBICACION='$ubic'";
					$lib_Min = mysql_query($sql_Min); 
					$rs_lib_Min = mysql_fetch_assoc($lib_Min); 
					$FolMen = $rs_lib_Min['Pri_Fol'];
					
					////Extraer Datos Logisticos Por Pallet - Del Inventario
					$sql_CPP = mysql_query("select SKU,UBICACION,EDO_CALIDAD,LOTE,LOTEPRODU from tabla_inventario WHERE CVE_CUENTA='$CveCueCR1' AND ID='$FolMen'");
					if (mysql_numrows($sql_CPP)==0) echo "";
					else{
					$registro_CPP=mysql_fetch_array($sql_CPP);
					}
					if (mysql_numrows($sql_CPP)>0)
					{
					$Sku_CPP=$registro_CPP["SKU"];
					$Ubi_CPP=$registro_CPP["UBICACION"];
					$ECa_CPP=$registro_CPP["EDO_CALIDAD"];
					$Lot_CPP=$registro_CPP["LOTE"];
					$LPr_CPP=$registro_CPP["LOTEPRODU"];
					}
					
				While($row_W1 = mysql_fetch_array($res_W1,MYSQL_ASSOC))
				{///Inicia While 1
										
					////Sacando Datos del While
					$IdElimC=$row_W1["ID"];
					$NoPalletC=$row_W1["NO_PALLET"];
					$SkuC=$row_W1["SKU"];
					$UbiC=$row_W1["UBICACION"];
					$EdoCC=$row_W1["EDO_CALIDAD"];
					$LotC=$row_W1["LOTE"];
					$LoProC_CPP=$row_W1["LOTEPRODU"];
					$CantiC=$row_W1["CANTIDAD"];
				}
			$lsf = $sql_W1." ORDER BY ID ASC";
			$res_W2=mysql_query($lsf) or die('Error en la consulta: '.mysql_error());
			While($row_W2 = mysql_fetch_array($res_W2,MYSQL_ASSOC))
				{///Inicia el while 2
				
					$IdElimC2=$row_W2["ID"];	
					$NoPallC2=$row_W2["NO_PALLET"];
					$SkuC2=$row_W2["SKU"];
					$UbiC2=$row_W2["UBICACION"];
					$CantiC2=$row_W2["CANTIDAD"];
				
					///Generador de Folio para la Tabla Kardex
					$sqlIDK = "select max(ID) as ultimo_FOLIOIDK from tabla_kardex"; 
					$libIDK = mysql_query($sqlIDK); 
					$rs_libIDK = mysql_fetch_assoc($libIDK); 
					$id_nuevoIDK = $rs_libIDK['ultimo_FOLIOIDK'] + 1;
					
					////Identificar los Datos del Pallet
					$SkuAltDP=$row_W2["SKU_ALT"];
					$NDocDP=$row_W2["NO_DOCUMENTO"];
					
					
					////Hora y Fecha
					$Hora=time();
					$HoraOK=date("H:i:s",$Hora);
					$Fecha=date("Y/m/d");
					
					////Consulta que guarda el Registro del Ajuste a Menos en el Kardex					
					$sqlARK = mysql_query("INSERT INTO tabla_kardex (ID,CVE_BODEGA,CVE_CUENTA,SKU,SKU_ALT,NO_DOCUMENTO,MOVIMIENTO,CLAVEUBICACION,PALLET,PIEZAS,FECHA,HORA,USUARIO) VALUES ('$id_nuevoIDK','$CveBodCR1','$CveCueCR1','$SkuC2','$SkuAltDP','$NDocDP','CONSOLIDACION','$UbiC2','$NoPallC2','-$CantiC2','$Fecha','$HoraOK','$UsuEn')");				
				
				}///Termina el while 2
				
		////°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°////					
////INICIA EL PROCESO A MAS DE LA CONSOLIDACION////
					
					////Generador de Folio para guardar la consolidación en el Kardex
					$sqlIDK2 = "select max(ID) as ultimo_FOLIOIDK2 from tabla_kardex"; 
					$libIDK2 = mysql_query($sqlIDK2); 
					$rs_libIDK2 = mysql_fetch_assoc($libIDK2); 
					$id_nueIDK2 = $rs_libIDK2['ultimo_FOLIOIDK2'] + 1;
					
					////Consulta para sumar el Total de Piezas a Consolidar
					$sqlSUMA = "SELECT SUM(CANTIDAD) as ObtCant FROM tabla_inventario WHERE UBICACION='$ubic' AND CANTIDAD>0 AND EDO_CALIDAD='$skuact[EDO_CALIDAD]'  AND SKU='$skuact[0]'  AND CVE_CUENTA='$CveCueCR1' AND CVE_BODEGA='$CveBodCR1'";
					$resSUMA = mysql_query($sqlSUMA); 
					$PrePiezas = mysql_fetch_assoc($resSUMA);
					$TotPiezasXC =  $PrePiezas ['ObtCant'];
					//ECHO "<script>alert('Total de p: $TotPiezasXC')</script>";
					////Identificar los Datos de la Consolidación
					////Identificar el Menor registro en la Tabla por medio de su ID
					////Saber cual fue el primer Pallet agregado por el usuario
					$sql_Min = "select min(ID) as Pri_Fol FROM tabla_inventario WHERE UBICACION='$ubic' AND CVE_CUENTA='$CveCueCR1'  AND CANTIDAD>0 AND SKU='$skuact[0]'   AND EDO_CALIDAD='$skuact[EDO_CALIDAD]' AND CVE_BODEGA='$CveBodCR1'";
					$lib_Min = mysql_query($sql_Min); 
					$rs_lib_Min = mysql_fetch_assoc($lib_Min); 
					$FolMen = $rs_lib_Min['Pri_Fol'];
					
					////Extraer Datos Logisticos Por Pallet - Del Inventario
					$sql_CPP = mysql_query("select * FROM tabla_inventario WHERE ID='$FolMen'");
					if (mysql_numrows($sql_CPP)==0) echo "";
					else{
					$registro_CPP=mysql_fetch_array($sql_CPP);
					}
					if (mysql_numrows($sql_CPP)>0)
					{
					$Pal_CPP=$registro_CPP["NO_PALLET"];
					$Sku_CPP=$registro_CPP["SKU"];
					$Ubi_CPP=$registro_CPP["UBICACION"];
					$ECa_CPP=$registro_CPP["EDO_CALIDAD"];
					$Lot_CPP=$registro_CPP["LOTE"];
					$LPr_CPP=$registro_CPP["LOTEPRODU"];
					$SkuAltDP2=$registro_CPP["SKU_ALT"];
					$FeEntrDP2=$registro_CPP["FECHA_ENTRADA"];
					$TiUbicDP2=$registro_CPP["TIPO_UBICACION"];
					$CaduciPG=$registro_CPP["CADUCIDAD"];
					$FactuPG=$registro_CPP["FACTURA"];
					}
					
					
					////Hora y Fecha
					$Hora=time();
					$HoraOK=date("H:i:s",$Hora);
					$Fecha=date("Y/m/d");
					$FechaLwms=date("Ymd");
					
					
					/////////Identificar el prefijo de Consolidacion configurado
					$sqlIDE1 = mysql_query("select * from wms_configura_consol WHERE CVE_CUENTA='$CveCueCR1'");
					if (mysql_numrows($sqlIDE1)==0) echo "";
					else{
					$registroIDE1=mysql_fetch_array($sqlIDE1);
					}
					if (mysql_numrows($sqlIDE1)>0)
					{
					$PrefijoCta=$registroIDE1["PREFIJO"];
					}
					
					////Generador de Folio para guardar el consecutivo de la clave de documento de Consolidacion
					$FechaDocuSur=date("Ymd");
				
					$sqlDS = "select max(IDINCRE) as ultimo_FOLIODS from tabla_consedoccon WHERE FECHA='$FechaDocuSur'"; 
					$libDS = mysql_query($sqlDS); 
					$rs_libDS = mysql_fetch_assoc($libDS); 
					$id_nuevoDS = $rs_libDS['ultimo_FOLIODS'] + 1;
				
					if ($id_nuevoDS <=9)
					{
					$IdenCeros="0000";
					$ClaveDocSur=$PrefijoCta.$FechaDocuSur.$IdenCeros.$id_nuevoDS;
					$NoDocPG=$ClaveDocSur;
					}
				
					if ($id_nuevoDS >=10 and $id_nuevoDS <=99)
					{
					$IdenCeros="000";
					$ClaveDocSur=$PrefijoCta.$FechaDocuSur.$IdenCeros.$id_nuevoDS;
					$NoDocPG=$ClaveDocSur;
					}
				
					if ($id_nuevoDS >=100 and $id_nuevoDS <=999)
					{
					$IdenCeros="00";
					$ClaveDocSur=$PrefijoCta.$FechaDocuSur.$IdenCeros.$id_nuevoDS;
					$NoDocPG=$ClaveDocSur;
					}
					
					if ($id_nuevoDS >=1000 and $id_nuevoDS <=9999)
					{
					$IdenCeros="0";
					$ClaveDocSur=$PrefijoCta.$FechaDocuSur.$IdenCeros.$id_nuevoDS;
					$NoDocPG=$ClaveDocSur;
					}
					
					if ($id_nuevoDS >=10000)
					{
					$ClaveDocSur=$PrefijoCta.$FechaDocuSur.$id_nuevoDS;
					$NoDocPG=$ClaveDocSur;
					}
					
					////Generador de Folio para el Concecutivo del Documento de Cosolidacion
					$sql_DC = "select max(ID) as ultimo_FOLIO_DC from tabla_consedoccon"; 
					$lib_DC = mysql_query($sql_DC); 
					$rs_lib_DC = mysql_fetch_assoc($lib_DC); 
					$id_DC = $rs_lib_DC['ultimo_FOLIO_DC'] + 1;
									
				////Guardar el concecutivo del Documento de Cosolidacion
					$sqlGCP = "insert tabla_consedoccon (ID,CVE_BODEGA,CVE_CUENTA,IDINCRE,NO_DOCUMENTO,FECHA)
        			values('$id_DC','$CveBodCR1','$CveCueCR1','$id_nuevoDS','$NoDocPG','$FechaDocuSur')";
					$resultadoGCP=mysql_query($sqlGCP,$conexion) or die(mysql_error());	
					
					
					/////////Identificar el prefijo configurado
					$sqlIDE1 = mysql_query("select * from wms_configura_pallet WHERE CVE_CUENTA='$CveCueCR1'");
					if (mysql_numrows($sqlIDE1)==0) echo "";
					else{
					$registroIDE1=mysql_fetch_array($sqlIDE1);
					}
					if (mysql_numrows($sqlIDE1)>0)
					{
					$PrefijoPal=$registroIDE1["PREFIJO"];
					}
					
					//////Generador de Folio para guardar el concecutivo de la clave del Pallet
					$FechaPallet = substr($Pal_CPP, -13, 8); // debuelve la fecha del pallet origina
			
					$sqlIDP = "select max(IDINCRE) as ultimo_FOLIOP from tabla_consepallet WHERE FECHA='$FechaPallet'"; 
					$libP = mysql_query($sqlIDP); 
					$rs_libP = mysql_fetch_assoc($libP); 
					$id_nuevoP = $rs_libP['ultimo_FOLIOP'] + 1;
					
					if ($id_nuevoP <=9)
					{
					$IdenCeros="0000";
					$ClavePallet=$PrefijoPal.$FechaPallet.$IdenCeros.$id_nuevoP;
					}
				
					if ($id_nuevoP >=10 and $id_nuevoP <=99)
					{
					$IdenCeros="000";
					$ClavePallet=$PrefijoPal.$FechaPallet.$IdenCeros.$id_nuevoP;
					}
				
					if ($id_nuevoP >=100 and $id_nuevoP <=999)
					{
					$IdenCeros="00";
					$ClavePallet=$PrefijoPal.$FechaPallet.$IdenCeros.$id_nuevoP;
					}
					
					if ($id_nuevoP >=1000 and $id_nuevoP <=9999)
					{
					$IdenCeros="0";
					$ClavePallet=$PrefijoPal.$FechaPallet.$IdenCeros.$id_nuevoP;
					}
										
					if ($id_nuevoP >=10000)
					{
					$ClavePallet=$PrefijoPal.$FechaPallet.$id_nuevoP;
					}
					
				////Generador de Folio para el Concecutivo del Pallet
					$sqlIDP22 = "select max(ID) as ultimo_FOLIOP22 from tabla_consepallet"; 
					$libP22 = mysql_query($sqlIDP22); 
					$rs_libP22 = mysql_fetch_assoc($libP22); 
					$id_nuevoP22 = $rs_libP22['ultimo_FOLIOP22'] + 1;
									
				////Guardar el concecutivo del Pallet
					$sqlGCP = "insert tabla_consepallet (ID,CVE_BODEGA,CVE_CUENTA,IDINCRE,NO_DOCUMENTO,NO_PALLET,FECHA)
        			values('$id_nuevoP22','$CveBodCR1','$CveCueCR1','$id_nuevoP','$NoDocPG','$ClavePallet','$FechaPallet')";
					$resultadoGCP=mysql_query($sqlGCP,$conexion) or die(mysql_error());	
					
				////Consulta que guarda el Registro del Pallet Consolidado dentro del Kardex					
					$sqlARK2 = mysql_query("INSERT INTO tabla_kardex (ID,CVE_BODEGA,CVE_CUENTA,SKU,SKU_ALT,NO_DOCUMENTO,MOVIMIENTO,CLAVEUBICACION,PALLET,PIEZAS,FECHA,HORA,USUARIO) VALUES ('$id_nueIDK2','$CveBodCR1','$CveCueCR1','$Sku_CPP','$SkuAltDP2','$NoDocPG','CONSOLIDACION','$Ubi_CPP','$ClavePallet','$TotPiezasXC','$Fecha','$HoraOK','$UsuEn')");
					
				////Identificar la Decripción del Producto
					$sql_DP = mysql_query("select DESCRIPCION from tabla_altaproducto WHERE CUENTA='$CveCueCR1' AND SKU='$Sku_CPP'");
					if (mysql_numrows($sql_DP)==0) echo "";
					else{
					$registro_DP=mysql_fetch_array($sql_DP);
					}
					if (mysql_numrows($sql_DP)>0)
					{
					$Desc_DP=$registro_DP["DESCRIPCION"];
					}
					
				////Identificacndo el Armado
					$Arma= "1 Pallet de ".$TotPiezasXC." piezas";
					
				////Generador de Folio para el Inventario
					$sqlPTI = "select max(ID) as ultimo_FOLIOPTI from tabla_inventario"; 
					$libPTI = mysql_query($sqlPTI); 
					$rs_libPTI = mysql_fetch_assoc($libPTI); 
					$id_nuevoPTI = $rs_libPTI['ultimo_FOLIOPTI'] + 1;
				
				////Lote WMS
				$LWm_CPP = "LWMS".$FechaLwms;
					
				////Consulta que guarda el Registro del nuevo pallet en el Inventario				
					$sqlADI = mysql_query("INSERT INTO tabla_inventario (ID,CVE_BODEGA,CVE_CUENTA,NO_DOCUMENTO,NO_DOC_COMPLE,SKU,SKU_ALT,DESCRIPCION,FECHA_ENTRADA,CANTIDAD,LOTE,LOTEWMS,LOTEPRODU,CADUCIDAD,FACTURA,PROVEEDOR,PIEZASXCAJA,CAJASXPALLET,ARM_PALLET,NO_PALLET,UBICACION,PRIORIDAD,TIPO_UBICACION,EDO_CALIDAD,CAN_APARTADA,USUARIO_ALTA,HORA,FECHA) VALUES ('$id_nuevoPTI','$CveBodCR1','$CveCueCR1','$NoDocPG','$NoDocPG','$Sku_CPP','$SkuAltDP2','$Desc_DP','$FeEntrDP2','$TotPiezasXC','$LotePG','$LWm_CPP','$LoteProPG','$CaduciPG','$FactuPG','P-C','$TotPiezasXC','1','$Arma','$ClavePallet','$Ubi_CPP','$prio','$TiUbicDP2','$ECa_CPP','0','$UsuEn','$HoraOK','$Fecha')");	
					
					////Elimina el Buffer Temporal de Consolidacion
					//$sql_EB1= "DELETE FROM temporal_consolida WHERE CVE_CUENTA='$CveCueCR1' AND USUARIO_REG='$UsuEn'";
					//$resultado_EB1=mysql_query($sql_EB1,$conexion) or die(mysql_error());
					//
					$sql_EB2= "DELETE FROM tabla_pallet_proceso WHERE CVE_CUENTA='$CveCueCR1' AND USUARIO_REG='$UsuEn' AND TIPO_PROCESO='CONSOLIDACION PALLET'";
					$resultado_EB2=mysql_query($sql_EB2,$conexion) or die(mysql_error());
					
					////modificar el Registro del pallet dentro del inentario - Ajustar a 0						
					$sqlUTI="UPDATE tabla_inventario SET CANTIDAD='0' WHERE CVE_CUENTA='$CveCueCR1' AND UBICACION='$ubic'  AND SKU='$skuact[0]'  AND EDO_CALIDAD='$skuact[EDO_CALIDAD]'  AND NO_PALLET!='$ClavePallet'";
					$resultadoUTI=mysql_query($sqlUTI,$conexion) or die(mysql_error());
					
					////Confirmación y Direccionamiento
					kardex($TotPiezasXC,$ClavePallet,$ubicdest);
					$NT++;
}}
		//ACTUALIZAR RECIBOXPRECLASI
		$RXC = mysql_query("UPDATE tabla_reciboxpreclasi SET ESTATUS='CERRADO' WHERE CVE_CUENTA='$CveCueCR1' AND CVE_BODEGA='$CveBodCR1' AND CVE_UBICACION='$ubic'");
		echo "<script>alert('$NT transferencia(s) registrada(s) correctamente de la ubicacion \'$ubic\' a \'$ubicdest\'.')</script>";
			echo "<META HTTP-EQUIV=Refresh CONTENT='0; URL=7-transferencia.php?UsuKP=$UsuEn&IdDAcce=$IDSeEn&TokenKP=$TokEn&CtaSKP=$CtaSesionEn&VPN=$VpnEn&LT=$LtEn'>";
		
		
} ///Termina IF Permiso de Acceso 3
} ///Termina IF Permiso de Acceso 2
} ///Termina IF Permiso de Acceso 1
} ///Termina IF Sesion del Token
?>

</body>
</html>
